unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function Summ(X,Y:Integer):Integer;StdCall;

var
  Form1: TForm1;

implementation

function Summ; external 'FirsDLLProject.dll' name 'Summ';

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
 r:Integer;
begin
 r:=Summ(10,34);
 Application.MessageBox(PChar(IntToStr(r)), 'Результат функции Summ');
end;

end.
